module Report where

import           Control.Monad    (forM_)
import           System.Directory (copyFile)
import           System.FilePath

import           Client
import           Config
import           NLP.GenI.Report
import           Paths_geni_util  (getDataFileName)

main :: GeniUtil -> IO ()
main opts@Report{} = do
    odir <- createReport (inputDir opts) (outputDir opts)
    forM_ dataFiles $ \bn -> do
        f <- getDataFileName bn
        copyFile f (odir </> bn)
main _ = error "geni-util routing: report"
